Subject: git quietly fails on https:// URL, https errors are never reported to user

From: Yuri <[email-masked]>
Date: Thu, 16 Jan 2014 04:27:03 -0800

On one of my FreeBSD systems I can't clone github through https URL.
It only says "Cloning into 'MyProject'...", writes some files, but then 
deletes everything, without printing anything else at all. Exit code is 128.

Replacing https:// with git:// makes it work fine.

While debugging, I find that remove_junk() deletes all directories from 
under __cxa_finalize.
Before this, exit(128) is called from recvline_fh ("Debug: Remote helper 
quit.) And this function in turn is called from under
refs = transport_get_remote_refs(transport);

I think you need to make sure that any https errors (in this and other 
locations) are reported to the user, and git never quits on error 
without saying what the error is.

git-1.8.5.2

Yuri